@echo off

java -Xms16m -cp "%CLASSPATH%;gesmescb.jar" -DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader -DInt.ecb.logging.config.file=loader.cnf -DInt.ecb.prefs.config.file=loader.cnf Int.ecb.gesmescb.application.Loader ..\StructuralDefinitions\*.gsm %1 %2 %3 %4 %5 %6 %7 %8 %9

if errorlevel 3 goto panic
if errorlevel 2 goto error
if errorlevel 1 goto unexpected
goto ok

:panic
echo General problem encountered, maybe incorrect installation.
goto end

:error
echo Errors found
goto end

:unexpected
echo Unexpected objects found
goto end

:ok
echo No problems

:end
