#!/usr/bin/ksh

# Script to start the Java loader application

# Arguments
CASE_NO=$1
SOURCE_DB=$2
TARGET_DB=$3
UPDATE_LIST=$4
DELETION_LIST=$5

GESMESCB_FILE=${CASE_NO}.gsm

LOG_FILE=${CASE_NO}_fame_to_edifact.log
./fame_to_edifact.ksh "$SOURCE_DB" "$GESMESCB_FILE" "$UPDATE_LIST" "$DELETION_LIST" "$LOG_FILE"

LOG_FILE=${CASE_NO}_edifact_to_fame.log
./edifact_to_fame.ksh "$GESMESCB_FILE" "$TARGET_DB" "$LOG_FILE"

RETURN_CODE=$?
	
case $RETURN_CODE in
(0) echo no problems;;
(1) echo error in checking;;
(2) echo error in loading unexpected topics;;
esac

exit $RETURN_CODE
