#!/usr/bin/ksh

CLASSPATH=$SDPE_TOOLS/lib/java/XML/xercesImpl.jar:$SDPE_TOOLS/lib/java/XML/xml-apis.jar:$SDPE_TOOLS/lib/java/XML/xalan.jar:$SDPE_TOOLS/lib/java/XML/xercesSamples.jar:$CLASSPATH

# Arguments
#FILENAME=test_from_sdw
FILENAME=investment_funds

SOURCE_FILE=${FILENAME}.xml       #$1
TARGET_FILE=${FILENAME}.out.1.xml #$2
LOG_FILE=${FILENAME}.1.log        #$3

java -Xmx100m \
	-DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader \
	-DInt.ecb.logging.config.file=sdmx2sdmx.properties \
	-DInt.ecb.prefs.config.file=sdmx2sdmx.properties \
	-DInt.ecb.logging.FileHandler.pattern=$LOG_FILE \
	-DInt.ecb.gesmescb.xml.XMLReader.dataReader.source=$SOURCE_FILE \
	-DInt.ecb.gesmescb.xml.SDMXMLWriter.destination=$TARGET_FILE \
	Int.ecb.gesmescb.application.BatchTextUI \
	ecb.gsm \
	$SOURCE_FILE

SOURCE_FILE=${FILENAME}.out.1.xml
TARGET_FILE=${FILENAME}.out.2.xml
LOG_FILE=${FILENAME}.2.log

java -Xmx100m \
	-DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader \
	-DInt.ecb.logging.config.file=sdmx2sdmx.properties \
	-DInt.ecb.prefs.config.file=sdmx2sdmx.properties \
	-DInt.ecb.logging.FileHandler.pattern=$LOG_FILE \
	-DInt.ecb.gesmescb.xml.XMLReader.dataReader.source=$SOURCE_FILE \
	-DInt.ecb.gesmescb.xml.SDMXMLWriter.destination=$TARGET_FILE \
	Int.ecb.gesmescb.application.BatchTextUI \
	ecb.gsm \
	$SOURCE_FILE
