#!/usr/bin/ksh

# Arguments
GESMESCB_FILE=$1
TARGET_DB=$2
LOG_FILE=$3

java -Xmx100m \
	-DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader \
	-DInt.ecb.logging.config.file=edifact_to_fame.properties \
	-DInt.ecb.prefs.config.file=edifact_to_fame.properties \
	-DInt.ecb.logging.FileHandler.pattern=$LOG_FILE \
	-DInt.ecb.gesmescb.edifact.EDIFACTReader.source=$GESMESCB_FILE \
	-DInt.ecb.gesmescb.fame.SimpleESDBWriter.destination=$TARGET_DB \
	Int.ecb.gesmescb.application.BatchTextUI \
	escb.gsm \
	$GESMESCB_FILE
