#!/usr/bin/ksh

CLASSPATH=$SDPE_TOOLS/lib/java/XML/xercesImpl.jar:$SDPE_TOOLS/lib/java/XML/xml-apis.jar:$SDPE_TOOLS/lib/java/XML/xalan.jar:$SDPE_TOOLS/lib/java/XML/xercesSamples.jar:$CLASSPATH

# Arguments
FILENAME=investment_funds

SOURCE_FILE=${FILENAME}.xml       #$1
TARGET_FILE=${FILENAME}.ges       #$2
LOG_FILE=${FILENAME}.log          #$3

java -Xmx100m \
	-DInt.ecb.logging.config.class=Int.ecb.gesmescb.util.LoggingPropertiesReader \
	-DInt.ecb.logging.config.file=sdmx2gesmes.properties \
	-DInt.ecb.prefs.config.file=sdmx2gesmes.properties \
	-DInt.ecb.logging.FileHandler.pattern=$LOG_FILE \
	-DInt.ecb.gesmescb.xml.XMLReader.dataReader.source=$SOURCE_FILE \
	-DInt.ecb.gesmescb.edifact.EDIFACTWriter.destination=$TARGET_FILE \
	Int.ecb.gesmescb.application.BatchTextUI \
	ecb.gsm \
	$SOURCE_FILE
